# nix-build-org-pdf

This project aims to help users of both Org Mode and Nix be able to reproducibly build their documents.  It's composed of several basic files:

 - `default.nix` which allows new LaTeX packages to be added, or other packages as might be necessary for the compilation of the document (i.e., interpreters for literate programming, etc.)
 - `Makefile` which is used to build the document.
 - `.latexmkrc` which comes pre-configured for converting eps figures to pdfs.
 - `init.el` which configures everything correctly.
 
It's recommended that you customize how the projects is built by creating a `local.el` file to modify Org behavior or to add source filters/set up things as necessary.  You'll also need to create a `local.mk` which should, at minimum define a `$(DOC)` variable.
